<?php
// $Id: google_wave.admin.inc,v 1.2 2010/06/09 20:00:23 jan0sch Exp $
/**
 * @file
 * The administration section for the google wave module.
 *
 * @author Jens Jahnke <jan0sch@gmx.net>
 */

/**
 * Generates the form for the admin settings.
 *
 * @param array $form_state
 * @return array
 */
function google_wave_admin_form($form_state) {
  $form['general'] = array(
    '#title' => t('General settings'),
    '#type' => 'fieldset',
  );
  $form['general']['google_wave_height_firefox_only'] = array(
    '#title' => t('Apply height settings to firefox only'),
    '#description' => t('As setting the height of the wave element is currently a workaround for a firefox bug you may want to leave this setting untouched. However if you want to set a general height restriction for all wave elements on your site you can disable this option.'),
    '#type' => 'checkbox',
    '#default_value' => (int)variable_get('google_wave_height_firefox_only', GOOGLE_WAVE_HEIGHT_FIREFOX_ONLY),
  );
  $form['general']['google_wave_height'] = array(
    '#title' => t('Height of the wave element'),
    '#description' => t('Enter a height in pixels that should be enforced on the wave elements. If you enter a value below <em>1</em> the default value (@d) will be used.', array('@d' => GOOGLE_WAVE_HEIGHT)),
    '#type' => 'textfield',
    '#default_value' => (int)variable_get('google_wave_height', GOOGLE_WAVE_HEIGHT),
  );
  $form['teaser'] = array(
    '#title' => t('Teaser settings'),
    '#type' => 'fieldset',
  );
  $form['teaser']['google_wave_teasers_enabled'] = array(
    '#title' => t('Enable teasers'),
    '#type' => 'checkbox',
    '#default_value' => (int)variable_get('google_wave_teasers_enabled', GOOGLE_WAVE_TEASERS_ENABLED),
  );
  if ((int)variable_get('google_wave_teasers_enabled', GOOGLE_WAVE_TEASERS_ENABLED) === 1) {
    $form['teaser']['google_wave_teaser_height'] = array(
      '#title' => t('Height of a wave teaser'),
      '#description' => t('Enter the height in pixels that the wave teaser should have. If unsure stick with the default value. In case you enter a value below <em>1</em> here the default value (@d) will be used.', array('@d' => GOOGLE_WAVE_TEASER_HEIGHT)),
      '#type' => 'textfield',
      '#default_value' => (int)variable_get('google_wave_teasers_height', GOOGLE_WAVE_TEASER_HEIGHT),
    );
  }
  return system_settings_form($form);
} // function google_wave_admin_form